## ros-noetic-topic-tools 1.16.0

=== debian/changelog ===
ros-noetic-topic-tools (1.16.0-1focal) focal; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Feb 2023 06:00:00 -0000

ros-noetic-topic-tools (1.15.15-1focal) focal; urgency=high

  * Move @jacobperron from maintainer to author (#2302 <https://github.com/ros/ros_comm/issues/2302>)
  * Set TCP_NODELAY. (#2293 <https://github.com/ros/ros_comm/issues/2293>)
  * Contributors: Rik Baehnemann, Shane Loretz

 -- Michael Carroll <michael@openrobotics.org>  Wed, 23 Nov 2022 06:00:00 -0000

ros-noetic-topic-tools (1.15.14-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 06 Jan 2022 06:00:00 -0000

ros-noetic-topic-tools (1.15.13-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 22 Sep 2021 05:00:00 -0000

ros-noetic-topic-tools (1.15.12-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 21 Sep 2021 05:00:00 -0000

ros-noetic-topic-tools (1.15.11-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-noetic-topic-tools (1.15.10-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-noetic-topic-tools (1.15.9-1focal) focal; urgency=high

  * Update maintainers (#2075 <https://github.com/ros/ros_comm/issues/2075>)
  * Fix compatibility issue with boost 1.73 and above (#2023 <https://github.com/ros/ros_comm/issues/2023>)
  * Contributors: Sean Yen, Shane Loretz

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 16 Oct 2020 05:00:00 -0000

ros-noetic-topic-tools (1.15.8-1focal) focal; urgency=high

  * add latch param to throttle (#1944 <https://github.com/ros/ros_comm/issues/1944>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 23 Jul 2020 05:00:00 -0000

ros-noetic-topic-tools (1.15.7-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 28 May 2020 05:00:00 -0000

ros-noetic-topic-tools (1.15.6-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 May 2020 05:00:00 -0000

ros-noetic-topic-tools (1.15.5-1focal) focal; urgency=high

  * avoid infinite recursion in rosrun tab completion when rosbash is not installed (#1948 <https://github.com/ros/ros_comm/issues/1948>)
  * fix bare pointer in topic_tools::ShapeShifter (#1722 <https://github.com/ros/ros_comm/issues/1722>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 15 May 2020 05:00:00 -0000

ros-noetic-topic-tools (1.15.4-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 19 Mar 2020 05:00:00 -0000

ros-noetic-topic-tools (1.15.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 28 Feb 2020 06:00:00 -0000

ros-noetic-topic-tools (1.15.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 25 Feb 2020 06:00:00 -0000

ros-noetic-topic-tools (1.15.1-1focal) focal; urgency=high

  * use setuptools instead of distutils (#1870 <https://github.com/ros/ros_comm/issues/1870>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 24 Feb 2020 06:00:00 -0000

ros-noetic-topic-tools (1.15.0-1focal) focal; urgency=high

  * fix flakyness of transform test (#1890 <https://github.com/ros/ros_comm/issues/1890>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 21 Feb 2020 06:00:00 -0000

ros-noetic-topic-tools (1.14.4-1focal) focal; urgency=high

  * bump CMake minimum version to avoid CMP0048 warning (#1869 <https://github.com/ros/ros_comm/issues/1869>)
  * use node namespace when looking up topic  (#1663 <https://github.com/ros/ros_comm/issues/1663>)
  * more Windows test code fixes (#1727 <https://github.com/ros/ros_comm/issues/1727>)
  * more Python 3 compatibility (#1795 <https://github.com/ros/ros_comm/issues/1795>)
  * relay: fix boost::lock exception (#1696 <https://github.com/ros/ros_comm/issues/1696>)
  * relay_field: add --tcpnodely (#1682 <https://github.com/ros/ros_comm/issues/1682>)
  * switch to yaml.safe_load(_all) to prevent YAMLLoadWarning (#1688 <https://github.com/ros/ros_comm/issues/1688>)
  * fix flaky hztests (#1661 <https://github.com/ros/ros_comm/issues/1661>)
  * transform: create publisher before subscriber, because callback may use the publisher (#1669 <https://github.com/ros/ros_comm/issues/1669>)
  * duplicate test nodes which aren't available to other packages, add missing dependencies (#1611 <https://github.com/ros/ros_comm/issues/1611>)
  * mux: do not dereference the end-iterator (#1579 <https://github.com/ros/ros_comm/issues/1579>)
  * fix topic_tools environment hook (#1486 <https://github.com/ros/ros_comm/issues/1486>)
  * mux: add ~latch option (#1489 <https://github.com/ros/ros_comm/issues/1489>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 20 Feb 2020 06:00:00 -0000

ros-noetic-topic-tools (1.14.3-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Aug 2018 05:00:00 -0000

ros-noetic-topic-tools (1.14.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 06 Jun 2018 05:00:00 -0000

ros-noetic-topic-tools (1.14.1-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-noetic-topic-tools (1.14.0-1focal) focal; urgency=high

  * throttling when rostime jump backward (#1397 <https://github.com/ros/ros_comm/issues/1397>)
  * check that output topic is valid in demux (#1367 <https://github.com/ros/ros_comm/issues/1367>)
  * add latch functionality to topic_tools/transform (#1341 <https://github.com/ros/ros_comm/issues/1341>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 21 May 2018 05:00:00 -0000

ros-noetic-topic-tools (1.13.6-1focal) focal; urgency=high

  * replace deprecated syntax (backticks with repr()) (#1259 <https://github.com/ros/ros_comm/issues/1259>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 05 Feb 2018 06:00:00 -0000

ros-noetic-topic-tools (1.13.5-1focal) focal; urgency=high




